Bug 19322 - Typo in UNIMARC field 140 plugin
Summary: Typo in UNIMARC field 140 plugin
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-09-15 08:47 UTC by Serhij Dubyk
Modified: 2020-11-02 14:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 19322: Typo in UNIMARC field 140 plugin (2.13 KB, patch)
2020-09-14 13:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19322: Typo in UNIMARC field 140 plugin (2.17 KB, patch)
2020-09-16 20:43 UTC, David Nind
Details | Diff | Splinter Review
Bug 19322: Typo in UNIMARC field 140 plugin (2.23 KB, patch)
2020-09-17 19:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Serhij Dubyk 2017-09-15 08:47:16 UTC
Small typo:

http://git.koha-community.org/gitweb/?p=koha.git;a=blob;f=koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/value_builder/unimarc_field_140.tt;h=585f1a00f52d13ddf7ca32cae9175985bcdf58a5;hb=HEAD#l1499

https://books.google.com.ua/books?id=I9rPDkF0_ZQC&pg=PA210&lpg=PA210&dq=unimarc+140+travelogue&source=bl&ots=eE7pVh0wqp&sig=LvSq6xS3YC8yN3SfVxMZisBVX-A&hl=uk&sa=X&ved=0ahUKEwjr36Cc5qbWAhUhEpoKHfLyB-wQ6AEIJjAA#v=onepage&q=unimarc%20140%20travelogue&f=false

Exist:
1499                         [% IF ( f14lh ) %]
1500                                 <option value="lh" selected="selected">erotica</option>
1501                         [% ELSE %]
1502                                 <option value="lh">erotica</option>
1503                         [% END %]
1504                         [% IF ( f14li ) %]
1505                                 <option value="li" selected="selected">erotica</option>
1506                         [% ELSE %]
1507                                 <option value="li">erotica</option>
1508                         [% END %]

Must be:
1499                         [% IF ( f14lh ) %]
1500                                 <option value="lh" selected="selected">erotica</option>
1501                         [% ELSE %]
1502                                 <option value="lh">erotica</option>
1503                         [% END %]
1504                         [% IF ( f14li ) %]
1505                                 <option value="li" selected="selected">mystic literature</option>
1506                         [% ELSE %]
1507                                 <option value="li">mystic literature</option>
1508                         [% END %]
Comment 1 Owen Leonard 2020-09-14 13:33:12 UTC
Another reference: https://archive.ifla.org/VI/8/unimarc-concise-bibliographic-format-2008.pdf
Comment 2 Owen Leonard 2020-09-14 13:44:11 UTC
Created attachment 110057 [details] [review]
Bug 19322: Typo in UNIMARC field 140 plugin

This patch corrects some incorrect information in the UNIMARC plugin for
tag 140. Literature code "li" should be "mystic literature."

To test you do not need a UNIMARC installation. Apply the patch and go
to Administration -> MARC frameworks and Actions -> MARC structure for
one of your frameworks.

- Edit subfields for a tag, e.g. 245. This is only for testing purposes
  so it doesn't have to be any particular tag.
- Change the options for one of the subfields, e.g. $a. Under "Other
  options (choose one), set "Plugin" to "unimarc_field_140.pl"
- Save changes.
- Open a bibliographic record for editing using the framework you
  modified.
- Click the plugin link next to the subfield you modified, e.c. 245$a.
- This should trigger the "UNIMARC field 140 builder" popup window.
- Find "Literature" and select "Mystic literature." Save.
- In the MARC editor, the field you modified should contain the value
  "li" at position 17-18.
Comment 3 David Nind 2020-09-16 20:43:10 UTC
Created attachment 110232 [details] [review]
Bug 19322: Typo in UNIMARC field 140 plugin

This patch corrects some incorrect information in the UNIMARC plugin for
tag 140. Literature code "li" should be "mystic literature."

To test you do not need a UNIMARC installation. Apply the patch and go
to Administration -> MARC frameworks and Actions -> MARC structure for
one of your frameworks.

- Edit subfields for a tag, e.g. 245. This is only for testing purposes
  so it doesn't have to be any particular tag.
- Change the options for one of the subfields, e.g. $a. Under "Other
  options (choose one), set "Plugin" to "unimarc_field_140.pl"
- Save changes.
- Open a bibliographic record for editing using the framework you
  modified.
- Click the plugin link next to the subfield you modified, e.c. 245$a.
- This should trigger the "UNIMARC field 140 builder" popup window.
- Find "Literature" and select "Mystic literature." Save.
- In the MARC editor, the field you modified should contain the value
  "li" at position 17-18.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Katrin Fischer 2020-09-17 19:48:42 UTC
Created attachment 110290 [details] [review]
Bug 19322: Typo in UNIMARC field 140 plugin

This patch corrects some incorrect information in the UNIMARC plugin for
tag 140. Literature code "li" should be "mystic literature."

To test you do not need a UNIMARC installation. Apply the patch and go
to Administration -> MARC frameworks and Actions -> MARC structure for
one of your frameworks.

- Edit subfields for a tag, e.g. 245. This is only for testing purposes
  so it doesn't have to be any particular tag.
- Change the options for one of the subfields, e.g. $a. Under "Other
  options (choose one), set "Plugin" to "unimarc_field_140.pl"
- Save changes.
- Open a bibliographic record for editing using the framework you
  modified.
- Click the plugin link next to the subfield you modified, e.c. 245$a.
- This should trigger the "UNIMARC field 140 builder" popup window.
- Find "Literature" and select "Mystic literature." Save.
- In the MARC editor, the field you modified should contain the value
  "li" at position 17-18.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-10-01 09:44:05 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-10-20 18:02:20 UTC
backported to 20.05.x for 20.05.05
Comment 7 Aleisha Amohia 2020-10-27 04:31:08 UTC
enhancement, not backported to 19.11.x